## org.biojava.bio.seq.io
Class FastaDescriptionLineParser.Factory

    java.lang.Object
      org.biojava.bio.seq.io.FastaDescriptionLineParser.Factory

All Implemented Interfaces:
  Serializable, SequenceBuilderFactory

Enclosing class:
  FastaDescriptionLineParser

    public static class FastaDescriptionLineParser.Factory

extends Object
implements SequenceBuilderFactory, Serializable

Factory which wraps SequenceBuilders in a FastaDescriptionLineParser

Author:
  Thomas Down
See Also:
  Serialized Form

Constructor Summary
`FastaDescriptionLineParser.Factory(SequenceBuilderFactory delegateFactory)`

Method Summary
`SequenceBuilder` `makeSequenceBuilder()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### FastaDescriptionLineParser.Factory

    public FastaDescriptionLineParser.Factory(SequenceBuilderFactory delegateFactory)

Method Detail

### makeSequenceBuilder

    public SequenceBuilder makeSequenceBuilder()

  Specified by:
    `makeSequenceBuilder` in interface `SequenceBuilderFactory`